Figure - Bug #111416
2022-08-23 16:10 - SZ HW Test-00 O O

Status: CLOSED Start date: 2022-08-23
Priority: High Due date: 2022-09-26
Assignee: SZHW Test-00 O O % Done: 90%
Category: BSP Estimated time: 0.00 hour
Target version: VX1_MCE_FSE_V2.0_20220930

Need_Info: -- Found Version: 2022.08.19
Resolution: - Degrated: -

Severity: Major Verified Version:

Reproducibility: Every time Fixed Version:

Test Type: Release Test Root cause:

Description

PO_20APO 00O DO 0030621SO 0 00O ODO155P8_ 100 00400VO00OOO,0000000.

gooooo

History

#1 - 2022-08-23 16:27 - SZ HW Test-0 O O

- Subject changed fromMCUO O O Ofai,l0 00000 toOFigured OEVTO OSIODMCUO OO ODfailDOOOOO

#2 - 2022-08-29 16:43 - SZ BSP-U 00 [

goomMcuooonoog

#3 - 2022-09-01 11:07 - SZBSP-0O O O
- Status changed from New to ASSIGNED

P82 INOOOOOOOOOOOOXBLOOOOOO

#4 - 2022-09-06 14:47 - SZ BSP-O 0 O
- % Done changed from 0 to 80

gooooooMcudgsesooovioooooooooooooooviooomMmcecudono

#5 - 2022-09-13 09:54 - SZ BSP-0O 0 O
- Assignee changed from SZ BSP-(J O [0 to CD BSP-00 OJ

#6 - 2022-09-14 11:09 - CD TPM-0O0 0O O
- Category set to BSP

#7 - 2022-09-23 14:58 - IOT-SP-TEST O O
- Due date set to 2022-09-26

#8 - 2022-09-26 11:05 - CD BSP-0 O
- % Done changed from 80 to 90

gbooooooooooooboooobOboOoOoobocAFDDODOOODOOOOOn
#9 - 2022-09-27 10:04 - CDTS_TEST O O

- Target version set to VX1_MCE_FSE_V2.0_20220930

#10 - 2022-09-28 20:38 - CD TPM-0 O O

- Assignee changed from CD BSP-00 O to SZ HW Test-00 O O
#11 - 2022-10-09 17:39 - SZ HW Test-0 0 O
- Assignee changed fromSZHW Test-O 0 0 toO OO _TCTWDO O O

go0ps10pPoOOOOOOOOOOO

#12-2022-10-2411:10-00 0 _TCTWO OO
- Assignee changed from 0 O 0 _TCTW O O O to SZ HW Test-00 O O
Thanks

#13 - 2022-10-28 10:01 - SZ HW Test-0 0 O
- Status changed from ASSIGNED to RESOLVED

202210130 MCUO O O O PASS

#14 - 2022-10-28 10:01 - SZ HW Test-00 O O

- Status changed from RESOLVED to VERIFIED

#15 - 2022-10-28 10:02 - SZ HW Test-0 O O

- Status changed from VERIFIED to CLOSED

202210130 MCUO O O O PASS
#16 - 2022-12-22 20:38 - CD FW-0 O

Gerrit Merge Information(

1D

Project

Branch

Uploader

152520

general/LINUX/android/vendor/qco

m/proprietary

Pre_figure_turbox-c2130c-lal.1-vendo

r-dev

jie.chen@thundersoft.com

BSP: GPI0O: Used to notify the MCU to power up or downWhen the MCU controls the SOC to power up, the SOC starts topull the GPIO up to the kernel, and
the MCU starts to turnon other power supplies;When the MCU controls the SOC to power down, after the SOCshuts down, pulls down the GP10O, and the MCU
begins to turnoff other power supplies. TC-RID: 1201-0100101Issuel D: TS-R-BUG-111416Change-Id: If4c26b066d3b7b6fb9b42c375f3512¢170da45f2

#17 - 2022-12-22 20:38 - CD FW-0 O

Gerrit Merge Informationd

1D

Project

Branch

Uploader

152609

Pre_figure/mcu

Pre_figure_turbox-c2130c-lal.1-vendo

r-dev

jie.chen@thundersoft.com

lach3bbd40b9278405f21f5d34d741dfe08c3c4ff

BSP:MCU: MCU code buring up, storage, and feature integrationThis commit protects the following functions:1. Buring up of MCU code2. Solve the power-on
and power-on sequence bug3. Increase the voltage protection function4. MCU firmware upgrade functionTC-RID: 1201-0102701TC-RID:
1201-0102703TC-RID: 1201-0102704lssuelD: TS-R-BUG-111416lssuelD: TS-R-BUG-111734lssuelD: TS-R-BUG-111732IssuelD: TS-R-BUG-112002IssuelD:
TS-R-DF-1114211Issuel D: TS-R-DF-1120991ssuel D: TS-R-DF-110660IssuelD: TS-R-DF-110663IssuelD: TS-R-DF-110664Change-1d:

#18 - 2022-12-22 20:39 - CD FwW-0 O

Gerrit Merge Information(]

ID

Project

Branch

Uploader

152787

2025-07-04

general/vendor/tc/mcu

Pre_figure_turbox-c2130c-lal.1-vendo

jie.chen@thundersoft.com
r-dev

BSP: MCU: Add firmware for MCU programming and upgradeThe firmware version information is \V0.0.1, which is the initial version. Implementation function:1.
Increase the power-on sequence?. Increase the voltage protection function3. Add version informationTC-RID: 1201-0102701TC-RID: 1201-0102703TC-RID:
1201-01027041ssuel D: TS-R-BUG-111416lssuelD: TS-R-BUG-111734lssuelD: TS-R-BUG-111732IssuelD: TS-R-BUG-112002Issuel D:
TS-R-DF-1114211ssuelD: TS-R-DF-1120991ssuel D: TS-R-DF-110660IssuelD: TS-R-DF-1106631ssuelD: TS-R-DF-110664Change-1d:
1047b1483f36d87a7a080b1470eb836chc620a06e

#19 - 2022-12-22 20:40 - CD Fw-0O O

Gerrit Merge Information(]

1D Project Branch Uploader
154060 general/LINUX/android/vendor/qco | Pre_figure_turbox-c2130c-lal.1-vendo | jie.chen@thundersoft.com
m/proprietary r-dev

BSP: GPI0: Solve the problem that GPIO59 cannot be pulled upBecause the GPIO device tree is not used to resolve the GPIOdevice tree node after configuring the
GPIO device tree, theGPIO state device does not take effect. TC-RID: 1201-0100101IssuelD: TS-R-BUG-111416Change-Id:
1c356193edde683af3fd932e8966e6f6f431c4c25

#20 - 2022-12-22 20:42 - CD FwW-0O O

Gerrit Merge Information]

1D Project Branch Uploader
154928 Pre_figure/mcu Pre_figure_turbox-c2130c-lal.1-vendo [ jie.chen@thundersoft.com
r-dev
BSP:MCU: Functional integration version of the MCUThis version contains the following functions:1.Improve the overvoltage protection function and increase
theover-voltage protection communication with the MMU;2.Improve the function of power-on and power-up sequence, andfix the problem that the boot screen
is not displayed;3.increase the can communication through, currently only openthe can's transceiver, there is no integration of other can's functions. TC-RID:
1201-0102701TC-RID: 1201-0102703TC-RID: 1201-0102704lssuelD: TS-R-BUG-111416lssuelD: TS-R-BUG-111734lssuelD: TS-R-BUG-111732Issuel D:
TS-R-BUG-112002IssuelD: TS-R-DF-1114211ssuelD: TS-R-DF-112099IssuelD: TS-R-DF-1106601ssuelD: TS-R-DF-110663Issuel D:
TS-R-DF-110664Change-1d: 10c7022c0c6e09e54f1b390deb1fh0df27ece4a3s

#21 - 2022-12-22 20:43 - CD FW-0 O

Gerrit Merge Informationd

1D Project Branch Uploader
155323 general/LINUX/android/vendor/qco | Pre_figure_turbox-c2130c-lal.1-vendo | dulei0503@thundersoft.com
m/proprietary r-ftm

BSP: GPIO: Solve the problem that GPIO59 cannot be pulled upBecause the GPIO device tree is not used to resolve the GPIOdevice tree node after configuring the
GPIO device tree, theGPIO state device does not take effect. TC-RID: 1201-0100101IssuelD: TS-R-BUG-111416Change-Id:
1c356193edde683af3fd932e8966e6f6f431c4c25(cherry picked from commit a4dd00f6f17aafc2d3c6bdc37e12cc39a5810c71)
